\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Arr_algebraic_segment_traits_2< Coefficient >::Construct_curve_2 Class Reference

`#include <CGAL/Arr_algebraic_segment_traits_2.h>`

## Object Creation Functors
Curve_2 | operator() (Polynomial_2 p)
| Returns a `Curve_2` object that represents the curve defined by the polynomial `p`
Curve_2 | operator() (std::string s)
| Returns a `Curve_2` object specified by `s`. More...

## Member Function Documentation

template<typename Coefficient >

Curve_2 CGAL::Arr_algebraic_segment_traits_2< Coefficient >::Construct_curve_2::operator() | ( | std::string | s) |  |

Returns a `Curve_2` object specified by `s`.

The passed string represents the defining polynomial of the curve and must be given in a MAPLE-readable format using "x" as first and "y" as second variable, e.g., "(x^3*y-2*x)*(-6*x-y^3*x^6)" for integer coefficients, and "3/2*x*y^4-5/7*x^2+3/1" for rational coefficients.